<template>
  <div class="flex justify-end p-2">
  <Link href="/creationhub/leaveType/create" class="font-medium text-lime-500 hover:text-lime-600">
    <button class="btn bg-blue-700 text-white text-sm md:text-base py-2 md:py-3 px-4 md:px-6 font-medium rounded-lg hover:bg-blue-800 focus:outline-none focus:ring-2 focus:ring-blue-500">
      Create Leave Type
    </button>
  </Link>
</div>
  <div class="relative shadow-md sm:rounded-lg w-[90vw] md:w-full">
    
    <!-- <div class="absolute md:-right-5 md:-top-5 -right-4 -top-4">
      <Link href="/leave/leaveType/create" class="font-medium text-lime-500 hover:text-lime-600">
      <Icon icon="fa-solid fa-circle-plus" class="text-3xl md:text-4xl"></Icon>
      </Link>
    </div> -->
    <div class="overflow-auto">
      <table class="w-full table-fixed  text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400 border-collapse">
        <thead class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
          <tr >
            <th scope="col" class="p-4 w-16">
              <!-- <button id="dropdownDefaultButton" data-dropdown-toggle="dropdown-table" type="button"
                data-dropdown-placement="bottom-start" data-dropdown-offset-distance="16"
                data-dropdown-offset-skidding="-16">
                <Icon icon="fa-solid fa-ellipsis-vertical" class="text-xl"></Icon>
              </button> -->
            </th>
            <th scope="col" class="p-4 w-60 md:w-auto">Leave Type</th>
            <th scope="col" class="p-4 w-60 md:w-auto">Balance Type</th>
            <th scope="col" class="p-4 w-60 md:w-auto">Monthly Balance Accumulation Rate</th>
            <th scope="col" class="p-4 w-60 md:w-auto">Action</th>
          </tr>
        </thead>
        <tbody>
          <!-- Table rows -->
          <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700 hover:bg-gray-50 dark:hover:bg-gray-600"
            v-for="leaveType in leaveTypes.data">
            <td class="p-4">
              <!-- <div class="flex items-center">
                <input type="checkbox" class="checkbox" :value="leaveType.id" v-model="selectionForm.selected" />
              </div> -->
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ leaveType.type }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ leaveType.balance_type }}
            </td>
            <td class="p-4 dark:text-gray-200">
              {{ leaveType.monthly_balance_accumulation_rate }}
            </td>
            <td class="p-4 flex items-center">

              <Link v-if="currentUser.role.update_leave_type" :href="`/creationhub/leaveType/${leaveType.id}/edit`" class="text-gray-500 hover:text-blue-900">
              <Icon icon="fa-solid fa-pen-to-square" class="text-2xl"></Icon>
              </Link>

              <div class="mx-3"></div>
             

              <button  @click="deleteLeaveType(leaveType.id)" v-if="currentUser.role.delete_leave_type">
                                 <Icon icon="fa-trash-can" class="text-2xl"></Icon>
                            </button>

            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>

  

  <Pagination :data="leaveTypes"></Pagination>
</template>

<script setup>
import { computed, onMounted } from "vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/Pagination.vue";
import { initDropdowns } from "flowbite";

const page = usePage();
const currentUser = computed(() => page.props.currentUser);

const props = defineProps({
  leaveTypes: Object,
});

onMounted(() => {
  initDropdowns();
});

//selection
const selectionForm = useForm({
  selected: [],
});
function deleteLeaveType(leaveId) {
  if (confirm("Are you sure to delete?")) {
    selectionForm.selected.push(leaveId);
    selectionForm.delete("/creationhub/leaveType", {
      preserveScroll: true,
      preserveState: false,
    });
  }
}
</script>
